summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorWerner Koch <wk@gnupg.org>2010-04-14 14:32:53 +0000
committerWerner Koch <wk@gnupg.org>2010-04-14 14:32:53 +0000
commit3028e0995d2b125b3e398c840eaa8c6d40ec3f7e (patch)
tree25609d3f73846f10722192b206eb94d86430df5e /autogen.sh
parentb27adc0e2c1a785e11ad2cb3e7ae06ebfffc4659 (diff)
downloadlibgcrypt-3028e0995d2b125b3e398c840eaa8c6d40ec3f7e.tar.gz
Updated
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh25
1 files changed, 24 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index 5e8767c8..794c9073 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -36,6 +36,24 @@ if test x"$1" = x"--force"; then
shift
fi
+# Begin list of optional variables sourced from ~/.gnupg-autogen.rc
+w32_toolprefixes=
+w32_extraoptions=
+w32ce_toolprefixes=
+w32ce_extraoptions=
+amd64_toolprefixes=
+# End list of optional variables sourced from ~/.gnupg-autogen.rc
+# What follows are variables which are sourced but default to
+# environment variables or lacking them hardcoded values.
+#w32root=
+#w32ce_root=
+#amd64root=
+
+if [ -f "$HOME/.gnupg-autogen.rc" ]; then
+ echo "sourcing extra definitions from $HOME/.gnupg-autogen.rc"
+ . "$HOME/.gnupg-autogen.rc"
+fi
+
# Convenience option to use certain configure options for some hosts.
myhost=""
myhostsub=""
@@ -50,8 +68,12 @@ case "$1" in
--build-amd64)
myhost="amd64"
;;
+ --build*)
+ echo "**Error**: invalid build option $1" >&2
+ exit 1
+ ;;
*)
- ;;
+ ;;
esac
@@ -69,6 +91,7 @@ if [ "$myhost" = "w32" ]; then
case $myhostsub in
ce)
+ w32root="$w32ce_root"
[ -z "$w32root" ] && w32root="$HOME/w32ce_root"
toolprefixes="arm-mingw32ce"
;;